Bug 244627 - starting and closing xine with no file played would crash vesa X server
starting and closing xine with no file played would crash vesa X server
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-18 01:46 EDT by Andrey Arapov
Modified: 2008-06-16 21:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:37:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
"Xorg.0.log.old" after X Server crashes (92.82 KB, text/plain)
2007-06-18 17:17 EDT, Andrey Arapov
no flags Details
Xorg log with crash backtrace (49.52 KB, text/plain)
2007-09-26 02:53 EDT, Garrick Staples
no flags Details
X log with backtrace (55.74 KB, text/plain)
2007-09-26 17:08 EDT, Orion Poplawski
no flags Details

  None (edit)
Description Andrey Arapov 2007-06-18 01:46:34 EDT
When I start xine and just close it, X Server crashes immediately.

Fedora 7, Gnome 2.18.0
X Window System Version 1.3.0
xine (X11 gui) v0.99.4 (default config)

How reproducible:
Just start xine and close it by pressing "q" button, or clicking on Close button.

Actual results:
X Server crashes.

Additional info:
I using  Driver "vesa" in xorg.conf, because fglrx (8.37.6) don't work with X 1.3.0
My videocard is ATI Radeon X1950 XTX [GDDR4, 512MB]

$ cat /proc/mtrr 
reg00: base=0x00000000 (   0MB), size=2048MB: write-back, count=1
reg01: base=0x7ff00000 (2047MB), size=   1MB: write-through, count=1
reg02: base=0xd0000000 (3328MB), size=  16MB: write-combining, count=1
Comment 1 Adam Jackson 2007-06-18 11:45:31 EDT
Please attach the /var/log/Xorg.0.log from the crash.  It should contain a
backtrace at the end; it may have been saved to /var/log/Xorg.0.log.old.
Comment 2 Andrey Arapov 2007-06-18 17:17:54 EDT
Created attachment 157333 [details]
"Xorg.0.log.old" after X Server crashes

"/var/log/Xorg.0.log.old" file after X Server crashes
Comment 3 Andrey Arapov 2007-06-18 17:20:42 EDT
and backtrace itself

$ tail -n20 /var/log/Xorg.0.log.old 
(II) 3rd Button detected: disabling emulate3Button

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x81) [0x80ceb41]
1: [0x9fb420]
2:
/usr/lib/xorg/modules/extensions//libGLcore.so(xmesa_check_and_update_buffer_size+0x32)
[0xb9c272]
3: /usr/lib/xorg/modules/extensions//libGLcore.so(XMesaResizeBuffers+0x29)
[0xb9ea09]
4: /usr/lib/xorg/modules/extensions//libGLcore.so [0xbd5f70]
5: /usr/lib/xorg/modules/extensions//libglx.so [0x32b3ba]
6: /usr/bin/Xorg(ReparentWindow+0x1ac) [0x80774dc]
7: /usr/bin/Xorg(ProcReparentWindow+0xd5) [0x8088d95]
8: /usr/bin/Xorg [0x814efd1]
9: /usr/bin/Xorg(Dispatch+0x1aa) [0x808936a]
10: /usr/bin/Xorg(main+0x495) [0x80710a5]
11: /lib/libc.so.6(__libc_start_main+0xe0) [0x4d440f70]
12: /usr/bin/Xorg(FontFileCompleteXLFD+0x1e1) [0x8070391]

Fatal server error:
Caught signal 11.  Server aborting

Comment 4 Garrick Staples 2007-09-26 02:52:23 EDT
I'm getting the same Xorg crash when mythtvfrontend exits on 2 different
machines.  One has 64bit OS on intel core2 with an nvidia card and the nv
driver.  The other is 32bit OS on intel P4 using the ivtv Xdriver with a
PVR350's TV-out. Both machines are fully updated F7.

xorg-x11-server-Xorg-1.3.0.0-9.fc7
glibc-2.6-4
2.6.22.5-76.fc7
Comment 5 Garrick Staples 2007-09-26 02:53:20 EDT
Created attachment 206521 [details]
Xorg log with crash backtrace
Comment 6 Orion Poplawski 2007-09-26 17:07:14 EDT
Me too with a certain matlab plot and nv (xorg-x11-drv-nv-2.1.3-1.fc7) driver.
Comment 7 Orion Poplawski 2007-09-26 17:08:04 EDT
Created attachment 207531 [details]
X log with backtrace
Comment 8 Adam Jackson 2007-09-27 10:40:20 EDT
This should be fixed already in the F8 X server, but I'll likely do an F7 update
for this once F8 is out.
Comment 9 Garrick Staples 2007-09-27 23:51:58 EDT
Are there any workarounds we can do for now?  Maybe something in xorg.conf to
disable?
Comment 10 Bug Zapper 2008-05-14 09:09:41 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2008-06-16 21:37:56 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.